import request from '@/utils/request'

// 查询电柜信息列表
export function listBaseCabinetInfo(query) {
  return request({
    url: '/base/baseCabinetInfo/list',
    method: 'get',
    params: query
  })
}

// 查询电柜信息详细
export function getBaseCabinetInfo(objId) {
  return request({
    url: '/base/baseCabinetInfo/' + objId,
    method: 'get'
  })
}

// 新增电柜信息
export function addBaseCabinetInfo(data) {
  return request({
    url: '/base/baseCabinetInfo',
    method: 'post',
    data: data
  })
}

// 修改电柜信息
export function updateBaseCabinetInfo(data) {
  return request({
    url: '/base/baseCabinetInfo',
    method: 'put',
    data: data
  })
}

// 删除电柜信息
export function delBaseCabinetInfo(objId) {
  return request({
    url: '/base/baseCabinetInfo/' + objId,
    method: 'delete'
  })
}

// 查询计量设备信息下拉树结构
export function getBaseCabinetInfoTree(data) {
  return request({
    url: '/base/baseCabinetInfo/getBaseCabinetInfoTree',
    method: 'post',
    data: data
  })
}
